#!/usr/bin/python
import os
import subprocess
from sys import argv
import zbar

# Create a Processor
proc = zbar.Processor()

# Configure the Processor
proc.parse_config('enable')

# Initialize the Processor
# more checking is needed here as it might be video1
device = '/dev/video0'
if len (argv)> 1:
    device = argv [1]
proc.init (device)

# Enable the preview window
proc.visible = True

# Read at least one barcode (or until window closed)
proc.process_one()

# Hide the preview window
proc.visible = False

# Extract results
for symbol in proc.results:
    # Do something useful with results
    print 'decoded', symbol.type, 'symbol', '"% s"'% symbol.data
    file = os.path.expanduser('~') + '/linuxcnc/nc_files/' + symbol.data
print file

if subprocess.call(['axis-remote', '--ping']) == 0:
	print 'Axis is running'
	subprocess.call(['axis-remote', file])
else:
	print 'Axis not found'
